## ros-one-warehouse-ros-sqlite 0.9.1-1jammy.20251207.2349

=== debian/changelog ===
ros-one-warehouse-ros-sqlite (0.9.1-1jammy.20251207.2349) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 07 Dec 2025 23:49:00 +0000

ros-one-warehouse-ros-sqlite (0.9.1-0jammy) jammy; urgency=high

  * Fix column name escaping (#44 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/44>)
  * Correctly declare and use pluginlib (#40 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/40>)
  * Do not enforce old C++ standard
  * Use warehouse_ros from Debians (#36 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/36>)
  * Contributors: Bjar Ne, Michael Görner, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 06 Aug 2024 00:00:00 -0000
