=== debian/control ===
Source: ros-one-warehouse-ros-sqlite
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libsqlite3-dev, ros-one-catkin, ros-one-pluginlib, ros-one-roscpp, ros-one-rostime, ros-one-warehouse-ros
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-one-warehouse-ros-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-pluginlib, ros-one-roscpp, ros-one-rostime, ros-one-warehouse-ros, sqlite3
Description: Implementation of warehouse_ros for sqlite
