## ros-one-warehouse-ros-sqlite 0.9.1-1noble.20251208.1041

=== debian/changelog ===
ros-one-warehouse-ros-sqlite (0.9.1-1noble.20251208.1041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 08 Dec 2025 10:41:37 +0000

ros-one-warehouse-ros-sqlite (0.9.1-0noble) noble; urgency=high

  * Fix column name escaping (#44 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/44>)
  * Correctly declare and use pluginlib (#40 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/40>)
  * Do not enforce old C++ standard
  * Use warehouse_ros from Debians (#36 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/36>)
  * Contributors: Bjar Ne, Michael Görner, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 06 Aug 2024 00:00:00 -0000
